Functions

# glm::gtx::intersect Namespace Reference

GLM_GTX_intersect extension: Add intersection functions. More...

## Functions
template<typename genType >
bool | intersectLineSphere (genType const &point0, genType const &point1, genType const &center, typename genType::value_type radius, genType &position, genType &normal)
| Compute the intersection of a line and a sphere.
template<typename genType >
bool | intersectLineTriangle (genType const &orig, genType const &dir, genType const &vert0, genType const &vert1, genType const &vert2, genType &position)
| Compute the intersection of a line and a triangle.
template<typename genType >
bool | intersectRaySphere (genType const &orig, genType const &dir, genType const &center, typename genType::value_type radius, genType &position, genType &normal)
| Compute the intersection of a ray and a sphere.
template<typename genType >
bool | intersectRayTriangle (genType const &orig, genType const &dir, genType const &vert0, genType const &vert1, genType const &vert2, genType &baryPosition)
| Compute the intersection of a ray and a triangle.

## Detailed Description

GLM_GTX_intersect extension: Add intersection functions.

## Function Documentation

bool glm::gtx::intersect::intersectLineSphere | ( | genType const & | point0,
|  | genType const & | point1,
|  | genType const & | center,
|  | typename genType::value_type | radius,
|  | genType & | position,
|  | genType & | normal
| ) |  |

Compute the intersection of a line and a sphere.

From GLM_GTX_intersect extension

bool glm::gtx::intersect::intersectLineTriangle | ( | genType const & | orig,
|  | genType const & | dir,
|  | genType const & | vert0,
|  | genType const & | vert1,
|  | genType const & | vert2,
|  | genType & | position
| ) |  |

Compute the intersection of a line and a triangle.

From GLM_GTX_intersect extension.

bool glm::gtx::intersect::intersectRaySphere | ( | genType const & | orig,
|  | genType const & | dir,
|  | genType const & | center,
|  | typename genType::value_type | radius,
|  | genType & | position,
|  | genType & | normal
| ) |  |

Compute the intersection of a ray and a sphere.

From GLM_GTX_intersect extension.

bool glm::gtx::intersect::intersectRayTriangle | ( | genType const & | orig,
|  | genType const & | dir,
|  | genType const & | vert0,
|  | genType const & | vert1,
|  | genType const & | vert2,
|  | genType & | baryPosition
| ) |  |

Compute the intersection of a ray and a triangle.

From GLM_GTX_intersect extension.